(function() {
  'use strict';

  
  //-------------------------------------------------
  // Direct Controller
  //-------------------------------------------------
  angular
    .module('directApp')
    .controller('DirectController', 
      ['$scope', 'udpService', DirectController]);

  // Still need to have the udpService in here to make sure it starts running.

  // Keep dependencies in sync!
  function DirectController($scope, udpService) {


    // Bindable Members Up Top
    var vm = this;
    vm.packet = {};
    vm.isNumeric = isNumeric;


    //-------------------------------------------------
    // New Packet
    //-------------------------------------------------
    $scope.$on('packet:new', function(event, data) {

      vm.packet = data;

      // Unlike $http or $timeout the udp server is a third party package triggering events, as such it won't
      // update the two binding like angular's own services will, this we need this $apply.
      $scope.$apply(function () { });      

    });


    //-------------------------------------------------
    // Is Numeric?
    //-------------------------------------------------
    // Here's a handy function to check if a number is numeric or not
    function isNumeric(n){
      return !isNaN(parseFloat(n)) && isFinite(n);
    }



  }//<- Controller

})();//<- IIFE





